Skip to content
Start here

Get information about an interconnect object

client.NetworkInterconnects.Interconnects.Get(ctx, icon, query) (*InterconnectGetResponse, error)
GET/accounts/{account_id}/cni/interconnects/{icon}

Get information about an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
icon string
query InterconnectGetParams
AccountID param.Field[string]

Customer account tag

ReturnsExpand Collapse
type InterconnectGetResponse interface{…}
One of the following:
type InterconnectGetResponseNscInterconnectPhysicalBody struct{…}
Account string
Facility InterconnectGetResponseNscInterconnectPhysicalBodyFacility
Address []string
Name string
Name string
Site string

A Cloudflare site name.

SlotID string
formatuuid
Speed string
Type string
Owner stringoptional
type InterconnectGetResponseNscInterconnectGcpPartnerBody struct{…}
Account string
Name string
Region string
Type string
Owner stringoptional
Speed InterconnectGetResponseNscInterconnectGcpPartnerBodySpeedoptional

Bandwidth structure as visible through the customer-facing API.

One of the following:
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed50M InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "50M"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed100M InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "100M"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed200M InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "200M"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed300M InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "300M"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed400M InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "400M"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed500M InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "500M"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed1G InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "1G"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed2G InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "2G"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed5G InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "5G"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed10G InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "10G"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed20G InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "20G"
const InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed50G InterconnectGetResponseNscInterconnectGcpPartnerBodySpeed = "50G"

Get information about an interconnect object

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/network_interconnects"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  interconnect, err := client.NetworkInterconnects.Interconnects.Get(
    context.TODO(),
    "icon",
    network_interconnects.InterconnectGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", interconnect)
}
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "owner": "owner"
}
Returns Examples
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "owner": "owner"
}